[SDL] SDL and XServer

jorgefm at cirsa.com jorgefm at cirsa.com
Tue Sep 27 02:28:01 PDT 2005


Sam Lantinga wrote:

>> Perhaps now is the time to clean up the obj-c checks ?
>> (lots of hack/workarounds involved with that language)
>
> The reason the objective C stuff is left the way it is, is to handle
> various broken versions of automake on various platforms.  It's the
> result of several weeks of hair pulling.

OK, perhaps now is not the time then... :-)

(For the Cocoa check, I just used a temp:
CFLAGS="$CFLAGS -x objective-c" workaround)

Here's a suggestion for autogen.sh:

--- autogen.sh  11 Sep 2005 04:15:44 -0000      1.4
+++ autogen.sh  11 Sep 2005 18:26:26 -0000
@@ -8,9 +8,9 @@
  touch $directory/configure.in

  # Regenerate configuration files
-aclocal || exit 1
-automake --foreign --include-deps --add-missing --copy || exit 1
-autoconf || exit 1
+aclocal || echo "*** aclocal failed: $?" >&2
+automake --foreign --include-deps --add-missing --copy || echo "*** 
automake failed: $?"
+autoconf || echo "*** autoconf failed: $?" >&2
  (cd test; aclocal; automake --foreign --include-deps --add-missing 
--copy; autoconf)

  # Run configure for this platform

Less "error" more "warning", than the original change ?

--anders





More information about the SDL mailing list